Bug 849988 - os.lstat() returns negative values for owner and/or group for huge UID/GIDs on i386
os.lstat() returns negative values for owner and/or group for huge UID/GIDs o...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: python (Show other bugs)
7.0
Unspecified Unspecified
high Severity high
: rc
: ---
Assigned To: Bohuslav "Slavek" Kabrda
Branislav Náter
:
Depends On: 697470
Blocks: 682670 628730
  Show dependency treegraph
 
Reported: 2012-08-21 08:31 EDT by Branislav Náter
Modified: 2014-06-13 06:19 EDT (History)
0 users

See Also:
Fixed In Version: python-2.7.3-13.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 697470
Environment:
Last Closed: 2014-06-13 06:19:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 5 Branislav Náter 2013-11-06 08:41:46 EST
Bug is fixed in python-2.7.5-8.el7.

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: Test
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

test_getgrall (__main__.GrpTests) ... ok
test_getgrgid (__main__.GrpTests) ... ok
test_getgrnam (__main__.GrpTests) ... ok
test_chown (__main__.OsTests) ... ok
test_fchown (__main__.OsTests) ... ok
test_getegid (__main__.OsTests) ... ok
test_geteuid (__main__.OsTests) ... ok
test_getgid (__main__.OsTests) ... ok
test_getuid (__main__.OsTests) ... ok
test_lchown (__main__.OsTests) ... ok
test_lstat (__main__.OsTests) ... ok
test_setegid (__main__.OsTests) ... ok
test_seteuid (__main__.OsTests) ... ok
test_setgid (__main__.OsTests) ... ok
test_setgroups (__main__.OsTests) ... ok
test_setregid (__main__.OsTests) ... ok
test_setreuid (__main__.OsTests) ... ok
test_setuid (__main__.OsTests) ... ok
test_stat (__main__.OsTests) ... ok
test_getpwall (__main__.PwdTests) ... ok
test_getpwnam (__main__.PwdTests) ... ok
test_getpwuid (__main__.PwdTests) ... ok

----------------------------------------------------------------------
Ran 22 tests in 0.335s

OK
:: [   PASS   ] :: Running the test (Expected 0, got 0)
Comment 6 Ludek Smid 2014-06-13 06:19:17 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.